Subject: Re: [PATCH net-next 2/4] inet: frags: rename last_in to flags, enum the definitions and add comments

From: Nikolay Aleksandrov <[email-masked]>
Date: Fri, 01 Aug 2014 10:27:42 +0200

On 08/01/2014 07:13 AM, David Miller wrote:
> From: Nikolay Aleksandrov <[email-masked]>
> Date: Thu, 31 Jul 2014 17:11:37 +0200
> 
>> The last_in field has been used to store various flags different from
>> first/last frag in so give it a more descriptive name: flags. Move
>> the flags to an enum definion, swap FIRST_IN/LAST_IN to be in logical
>> order and add comments explaining each flag, also add comments explaining
>> the inet_frag_queue struct members. While at it align some function
>> declarations.
> 
> When I hear things like "also" and "while at it", what I really hear is
> "that should be done in a separate patch".
> 
> Please don't clump so many unrelated changes together, it makes the
> patch harder to review than necessary, thanks.
> 
Sorry about that, but I thought aligning 2-3 function declarations in
inet_fragment.c was not worth a separate patch.
Anyway I'll break the aligning out.

Thanks,
 Nik